Bug 429729 - 10/12ch sound cards not automatically configured
Summary: 10/12ch sound cards not automatically configured
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-22 19:07 UTC by Tim Jackson
Modified: 2008-09-24 13:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 13:00:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The output from /var/log/messages pertaining to PulseAudio (2.34 KB, text/plain)
2008-01-22 19:07 UTC, Tim Jackson
no flags Details
The output from "list" when run from pacmd (7.08 KB, text/plain)
2008-01-22 19:08 UTC, Tim Jackson
no flags Details
The output from "dump" when run from pacmd (2.24 KB, text/plain)
2008-01-22 19:08 UTC, Tim Jackson
no flags Details
The output of running a fresh "pulseaudio" server from the CLI (4.78 KB, text/plain)
2008-01-22 19:09 UTC, Tim Jackson
no flags Details
mixer chose wrong device. It chose right when plugin usb soundcard (890.74 KB, application/octet-stream)
2008-02-02 19:21 UTC, Knut J BJuland
no flags Details
scsconfig.log (46.18 KB, application/octet-stream)
2008-06-08 07:59 UTC, Sameet
no flags Details
scsrun.log (239 bytes, application/octet-stream)
2008-06-08 08:00 UTC, Sameet
no flags Details

Description Tim Jackson 2008-01-22 19:07:37 UTC
PulseAudio sometimes doesn't show cards that are working perfectly well via
ALSA. And sometimes it does, seemingly randomly.

Example:

cat /proc/asound/cards:

 0 [M2496          ]: ICE1712 - M Audio Audiophile 24/96
                      M Audio Audiophile 24/96 at 0x1040, irq 21
 1 [Intel          ]: HDA-Intel - HDA Intel
                      HDA Intel at 0x48500000 irq 22
 2 [Headset        ]: USB-Audio - Plantronics Headset
                      Plantronics Plantronics Headset at usb-0000:00:1d.0-2,
full speed
 3 [Bt878          ]: Bt87x - Brooktree Bt878
                      Brooktree Bt878 at 0x48000000, irq 18

The ICE1712 card works perfectly via ALSA (e.g. aplay --device=plughw:0,0
sound-sample.wav") but does not appear in pavucontrol at all. However, on some
boots it does (in which case it works fine and I can move audio streams to it). 

Attached are outputs from /var/log/messages, "list" and "dump" in pacmd, and the
result of running "pulseaudio" manually from a console.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.8-4.fc8.1
alsa-lib-1.0.15-1.fc8

Comment 1 Tim Jackson 2008-01-22 19:07:37 UTC
Created attachment 292543 [details]
The output from /var/log/messages pertaining to PulseAudio

Comment 2 Tim Jackson 2008-01-22 19:08:32 UTC
Created attachment 292544 [details]
The output from "list" when run from pacmd

Comment 3 Tim Jackson 2008-01-22 19:08:58 UTC
Created attachment 292545 [details]
The output from "dump" when run from pacmd

Comment 4 Tim Jackson 2008-01-22 19:09:28 UTC
Created attachment 292546 [details]
The output of running a fresh "pulseaudio" server from the CLI

Comment 5 Knut J BJuland 2008-02-02 19:21:46 UTC
Created attachment 293803 [details]
mixer chose wrong device. It chose right when plugin usb soundcard

Comment 6 Knut J BJuland 2008-02-02 19:22:48 UTC
Pulseaudio chose the wrong device. When I statical load device via configuration
file it work

Comment 7 Lubomir Kundrak 2008-02-28 18:05:57 UTC
Tim: please paste output of the following in case pulseaudio doesn't detect all
audio devices:

$ for i in $(hal-find-by-capability --capability alsa); do lshal -lu $i; done

Comment 8 Lennart Poettering 2008-03-28 20:00:14 UTC
The problem is that PA doesn't really support 12ch sound cards unless a channel
map is specified manually. I am not aware of any sensible default channel map
for devices like this. And ALSA doesn't specify any either.

I guess for now this means that 10ch and 12ch sound cards need manual configuration.

Comment 9 Knut J BJuland 2008-03-29 06:55:59 UTC
I discovery that I had set it as 4 channel, and inserted the plug into back and
not front plug.

udi = '/org/freedesktop/Hal/devices/computer_alsa_timer'
  access_control.file = '/dev/snd/timer'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.device_file = '/dev/snd/timer'  (string)
  alsa.type = 'timer'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'ALSA Timer Device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_alsa_timer'  (string)
  linux.device_file = '/dev/snd/timer'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/virtual/sound/timer'  (string)

udi = '/org/freedesktop/Hal/devices/computer_alsa_sequencer'
  access_control.file = '/dev/snd/seq'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.device_file = '/dev/snd/seq'  (string)
  alsa.type = 'sequencer'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'ALSA Sequencer Device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_alsa_sequencer'  (string)
  linux.device_file = '/dev/snd/seq'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/virtual/sound/seq'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_playback_4'
  access_control.file = '/dev/snd/pcmC0D4p'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 4  (0x4)  (int)
  alsa.device_file = '/dev/snd/pcmC0D4p'  (string)
  alsa.device_id = 'p16v'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'playback'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'p16v ALSA Playback Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_playback_4'  (string)
  linux.device_file = '/dev/snd/pcmC0D4p'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/pcmC0D4p'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_capture_4'
  access_control.file = '/dev/snd/pcmC0D4c'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 4  (0x4)  (int)
  alsa.device_file = '/dev/snd/pcmC0D4c'  (string)
  alsa.device_id = 'p16v'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'capture'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'p16v ALSA Capture Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_capture_4'  (string)
  linux.device_file = '/dev/snd/pcmC0D4c'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/pcmC0D4c'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_playback_3'
  access_control.file = '/dev/snd/pcmC0D3p'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 3  (0x3)  (int)
  alsa.device_file = '/dev/snd/pcmC0D3p'  (string)
  alsa.device_id = 'Multichannel Playback'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'playback'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Multichannel Playback ALSA Playback Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_playback_3'  (string)
  linux.device_file = '/dev/snd/pcmC0D3p'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/pcmC0D3p'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_playback_2'
  access_control.file = '/dev/snd/pcmC0D2p'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 2  (0x2)  (int)
  alsa.device_file = '/dev/snd/pcmC0D2p'  (string)
  alsa.device_id = 'Multichannel Capture/PT Playback'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'playback'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Multichannel Capture/PT Playback ALSA Playback Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_playback_2'  (string)
  linux.device_file = '/dev/snd/pcmC0D2p'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/pcmC0D2p'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_capture_2'
  access_control.file = '/dev/snd/pcmC0D2c'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 2  (0x2)  (int)
  alsa.device_file = '/dev/snd/pcmC0D2c'  (string)
  alsa.device_id = 'Multichannel Capture/PT Playback'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'capture'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Multichannel Capture/PT Playback ALSA Capture Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_capture_2'  (string)
  linux.device_file = '/dev/snd/pcmC0D2c'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/pcmC0D2c'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_capture_1'
  access_control.file = '/dev/snd/pcmC0D1c'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 1  (0x1)  (int)
  alsa.device_file = '/dev/snd/pcmC0D1c'  (string)
  alsa.device_id = 'Mic Capture'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'capture'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Mic Capture ALSA Capture Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_capture_1'  (string)
  linux.device_file = '/dev/snd/pcmC0D1c'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/pcmC0D1c'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_playback_0'
  access_control.file = '/dev/snd/pcmC0D0p'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 0  (0x0)  (int)
  alsa.device_file = '/dev/snd/pcmC0D0p'  (string)
  alsa.device_id = 'ADC Capture/Standard PCM Playback'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'playback'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'ADC Capture/Standard PCM Playback ALSA Playback Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_playback_0'  (string)
  linux.device_file = '/dev/snd/pcmC0D0p'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/pcmC0D0p'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_capture_0'
  access_control.file = '/dev/snd/pcmC0D0c'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 0  (0x0)  (int)
  alsa.device_file = '/dev/snd/pcmC0D0c'  (string)
  alsa.device_id = 'ADC Capture/Standard PCM Playback'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'capture'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'ADC Capture/Standard PCM Playback ALSA Capture Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_capture_0'  (string)
  linux.device_file = '/dev/snd/pcmC0D0c'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/pcmC0D0c'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_midi_3'
  access_control.file = '/dev/snd/midiC0D3'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 3  (0x3)  (int)
  alsa.device_file = '/dev/snd/midiC0D3'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'midi'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102) ALSA MIDI
Device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_midi_3'
 (string)
  linux.device_file = '/dev/snd/midiC0D3'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/midiC0D3'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_midi_2'
  access_control.file = '/dev/snd/midiC0D2'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 2  (0x2)  (int)
  alsa.device_file = '/dev/snd/midiC0D2'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'midi'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102) ALSA MIDI
Device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_midi_2'
 (string)
  linux.device_file = '/dev/snd/midiC0D2'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/midiC0D2'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_midi_1'
  access_control.file = '/dev/snd/midiC0D1'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 1  (0x1)  (int)
  alsa.device_file = '/dev/snd/midiC0D1'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'midi'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102) ALSA MIDI
Device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_midi_1'
 (string)
  linux.device_file = '/dev/snd/midiC0D1'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/midiC0D1'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_midi_0'
  access_control.file = '/dev/snd/midiC0D0'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 0  (0x0)  (int)
  alsa.device_file = '/dev/snd/midiC0D0'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'midi'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102) ALSA MIDI
Device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_midi_0'
 (string)
  linux.device_file = '/dev/snd/midiC0D0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/midiC0D0'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_hw_specific_2'
  access_control.file = '/dev/snd/hwC0D2'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 2  (0x2)  (int)
  alsa.device_file = '/dev/snd/hwC0D2'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'hw_specific'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102) ALSA hardware
specific Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_hw_specific_2'  (string)
  linux.device_file = '/dev/snd/hwC0D2'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/hwC0D2'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_hw_specific_0'
  access_control.file = '/dev/snd/hwC0D0'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device = 0  (0x0)  (int)
  alsa.device_file = '/dev/snd/hwC0D0'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'hw_specific'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102) ALSA hardware
specific Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_hw_specific_0'  (string)
  linux.device_file = '/dev/snd/hwC0D0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/hwC0D0'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_control__1'
  access_control.file = '/dev/snd/controlC0'  (string)
  access_control.grant_user = {'gdm'} (string list)
  access_control.type = 'sound'  (string)
  alsa.card = 0  (0x0)  (int)
  alsa.card_id = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102)'  (string)
  alsa.device_file = '/dev/snd/controlC0'  (string)
  alsa.originating_device =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'
 (string)
  alsa.type = 'control'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0'  (string)
  info.product = 'Audigy 2 [SB0350b] (rev.4, serial:0x20061102) ALSA Control
Device'  (string)
  info.udi =
'/org/freedesktop/Hal/devices/pci_1102_4_sound_card_0_alsa_control__1'  (string)
  linux.device_file = '/dev/snd/controlC0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1e.0/0000:04:00.0/sound/card0/controlC0'  (string)


Comment 10 Sameet 2008-06-08 07:59:37 UTC
Created attachment 308638 [details]
scsconfig.log

this is the scsconfig.log

Comment 11 Sameet 2008-06-08 08:00:46 UTC
Created attachment 308639 [details]
scsrun.log

this is the other log file (first was scsconfig.log) that was asked to be send
to bugzilla by the system-config-soundcard

Comment 12 Lennart Poettering 2008-09-24 13:00:28 UTC
PA now is able to synthesize channel maps if necessary, it thus should be able to work with your sound card out-of-the-box too.

Please note however that this ICE card is very perculiar. Of the 12ch, the last 2 are SPDIF, 2 are for mixing and the others don't have any official position (as in "rear left", ...) PA cannot autodetect a weird mapping like that. It will default to 7.1 audio and fill the remaining channels with AUX0-AUX3. Which is a sensible thing to do I guess, but not necessarily what you'd want.


Note You need to log in before you can comment on or make changes to this bug.